std::chrono::hh_mm_ss< _Duration > Class Template Reference
Utilities » Time

`#include <chrono>`

## Public Types

using | precision = duration< common_type_t< typename _Duration::rep, chrono::seconds::rep >, ratio< 1, __detail::__pow10(fractional_width)> >

## Public Member Functions

constexpr | hh_mm_ss (_Duration __d)
constexpr chrono::hours | hours () const noexcept
constexpr bool | is_negative () const noexcept
constexpr chrono::minutes | minutes () const noexcept
constexpr | operator precision () const noexcept
constexpr chrono::seconds | seconds () const noexcept
constexpr precision | subseconds () const noexcept
constexpr precision | to_duration () const noexcept

## Static Public Attributes

static constexpr unsigned | fractional_width

## Friends

template<typename >
struct | __detail::__utc_leap_second

## Detailed Description

template<typename _Duration>
class std::chrono::hh_mm_ss< _Duration >

Utility for splitting a duration into hours, minutes, and seconds

This is a convenience type that provides accessors for the constituent parts (hours, minutes, seconds and subseconds) of a duration.

Since
  C++20

Definition at line 2309 of file chrono.

## Member Typedef Documentation

## precision

template<typename _Duration >

using std::chrono::hh_mm_ss< _Duration >::precision = duration<common_type_t<typename _Duration::rep, chrono::seconds::rep>, ratio<1, __detail::__pow10(fractional_width)> >

Definition at line 2362 of file chrono.

## Constructor & Destructor Documentation

## hh_mm_ss()

template<typename _Duration >

constexpr std::chrono::hh_mm_ss< _Duration >::hh_mm_ss | ( | _Duration | __d | ) |

inline explicit constexpr

Definition at line 2370 of file chrono.

## Member Function Documentation

## hours()

template<typename _Duration >

constexpr chrono::hours std::chrono::hh_mm_ss< _Duration >::hours | ( |  | ) | const

inline constexpr noexcept

Definition at line 2384 of file chrono.

## is_negative()

template<typename _Duration >

constexpr bool std::chrono::hh_mm_ss< _Duration >::is_negative | ( |  | ) | const

inline constexpr noexcept

Definition at line 2375 of file chrono.

## minutes()

template<typename _Duration >

constexpr chrono::minutes std::chrono::hh_mm_ss< _Duration >::minutes | ( |  | ) | const

inline constexpr noexcept

Definition at line 2388 of file chrono.

## operator precision()

template<typename _Duration >

constexpr std::chrono::hh_mm_ss< _Duration >::operator precision | ( |  | ) | const

inline explicit constexpr noexcept

Definition at line 2400 of file chrono.

## seconds()

template<typename _Duration >

constexpr chrono::seconds std::chrono::hh_mm_ss< _Duration >::seconds | ( |  | ) | const

inline constexpr noexcept

Definition at line 2392 of file chrono.

## subseconds()

template<typename _Duration >

constexpr precision std::chrono::hh_mm_ss< _Duration >::subseconds | ( |  | ) | const

inline constexpr noexcept

Definition at line 2396 of file chrono.

## to_duration()

template<typename _Duration >

constexpr precision std::chrono::hh_mm_ss< _Duration >::to_duration | ( |  | ) | const

inline constexpr noexcept

Definition at line 2404 of file chrono.

## Friends And Related Symbol Documentation

## __detail::__utc_leap_second

template<typename _Duration >
template<typename >

friend struct __detail::__utc_leap_second

friend

Definition at line 2481 of file chrono.

## Member Data Documentation

## fractional_width

template<typename _Duration >

constexpr unsigned std::chrono::hh_mm_ss< _Duration >::fractional_width

static constexpr

Definition at line 2360 of file chrono.

The documentation for this class was generated from the following file:

- chrono